Firefox 52 is laatste uitgave voor Vista en stopt ondersteuning Java, Silverlight en Acrobat Reader

Firefox 52.0 is zojuist verschenen. Mozilla's browser maakt met deze uitgave een versiesprong van 51 naar 52 en brengt enkele verbeteringen en lost beveiligingslekken op.

Nieuw in Firefox 52 is dat je gewaarschuwd wordt als je op onbeveiligde pagina's (zonder https) probeert in te loggen. Dan krijg je onderstaande melding te zien:

Verder worden NPAPI-plugins als Silverlight, Java en Acrobat Reader niet meer ondersteund vanaf Firefox 52. Alleen Flash is nog mogelijk van deze ouderwetse, vaak onveilige plugins. De andere zijn nu uitgefaseerd. Andere browsers als Chrome en Edge gebruiken eveneens de oude plugins niet meer. Als je per se nog Java of Silverlight nodig hebt dan kun je Firefox ESR downloaden, een versie speciaal voor organisaties die deze plugins nog wel ondersteunt.

Ook is de downloadsbeheerder verbeterd. Zo worden onder de downloadknop in de werkbalk (pijl naar beneden) de laatste vijf in plaats van drie downloads getoond, zijn de knoppen voor hervatten en afbreken groter en wordt in de werkbalk getoond als een download afgebroken is.

Andere vernieuwingen zijn:
- ondersteuning voor WebAssembly: een standaard voor webgebaseerde games en apps die zonder plugin kunnen worden uitgevoerd.
- verbeterde synchronisatie zodat je tabbladen van het ene apparaat naar het andere kunt versturen via Firefox Sync.
- multi-proces Firefox voor Windows op touch apparaten.
- implementatie van Strict Secure Cookies zodat http-websites (zonder versleuteling) geen veilige cookies kunnen plaatsen.
- verouderde SHA1 certificaten worden niet meer ondersteund.

Naast deze nieuwe functionaliteit worden ook diverse fouten gerepareerd in Firefox 52. Ten slotte worden maar liefst 28 beveiligingslekken dichtgeplakt, waarvan zeven kritiek zijn.

Update 9 maart
Firefox 52 is de laatste grote update voor Windows XP en Vista gebruikers. Deze zullen worden overgezet op de Firefox Extended Support Release (ESR): een uitgave die nog tot ongeveer september 2017 ondersteund wordt met beveiligingsupdates. Nieuwe functionaliteit zal Firefox niet meer krijgen op XP (dat al drie niet meer ondersteund wordt!) en Vista (dat in april geen updates meer zal krijgen van Microsoft).

Firefox is te downloaden voor Windows, macOS en Linux. In de komende dagen wordt je browser automatisch bijgewerkt. Je kunt ook zelf updaten onder de Firefox-knop | Help | Over Firefox.

Ga naar de downloadpagina van Firefox

Deel dit artikel: 


Ook op GratisSoftware.nl:

Reacties

Redactioneel is GratisSoftware.nl wel klasse hoor. Wilde ik toch even kwijt ;-)

Bij updaten installeert firefox 52, maar bij het openen gaat de pagina niet correct open, zit de afsluitknop op de verkeerde plek en kan ik niet internetten....Zonder foutmeldingen...

Dit heb ik zojuist ook ervaren, Firefox bleek na de update volledig onbruikbaar. Ik heb de problemen op kunnen lossen door mijn laatste systeemherstelpunt te gebruiken. Vervolgens heb ik het automatisch updaten uitgeschakeld.

Ik gebruik al heel lang Firefox, heb heel veel updates meegemaakt en die resulteerden altijd in een volledig functionele browser. Nu dus niet. Ik hoop dat er snel een nieuwe versie van Firefox 52 komt waarin het probleem is verholpen.

Zeer goede 'tussentijdse' oplossing is het onvolprezen Opera.

Trage browser. Allang overgestapt op Chrome. Stukken sneller.

HarmJan; ik kreeg bij een 3e poging binnen firefox de mogelijkheid firefox 52 "op te frissen en te herstarten zonder add-ons en/of geschiedenis". Dat heb ik gedaan en daarna startte firefox 52 wel goed en vervolgens de add-ons weer even geactiveerd en hopla.....
Loopt nu weer als een zonnetje. Hoop dat het bij jou ook helpt, groet, Cohoo

Die mogelijkheid heb ik niet gekregen, ik heb het maar iets anders gedaan. Ik gebruikte altijd de 32-bit versie en heb nu de 64-bit versie ernaast geïnstalleerd. In die versie (Firefox 52)heb ik alle standaardwaarden teruggezet, toen kon ik de browser inderdaad gewoon gebruiken en kon ik mijn 32-bit versie eveneens updaten naar versie 52.

Misschien even Opera proberen? Zul je geen spijt van krijgen.

Als ik een andere browser had gewild had ik dat allang gedaan, het aanprijzen van andere browsers gaat mij dan ook compleet voorbij...

Snap ik heel goed, niks mis mee.

Geen enkel probleem met 64-bit firefox 52.0. Gewoon goed en snel.

Ik vermoed dat nog teveel mensen de 32-bit versie van firefox op een 64-bit Windows systeem gebruiken. Dat werkt inderdaad niet optimaal. Zorg dat je op Windows 64-bit ook firefox 64-bit hebt.

Via bijvoorbeeld Filehippo?

Op de officiele website van Firefox (Mozilla).
https://www.mozilla.org/n...
Klik op "Firefox voor andere platformen en talen". Kies "Windows 64-bit".
Of klik op "Beschikbare talen" en kies in de kolom voor de 64-bit versie de juiste taal Dutch of Nederlands.
Controleer in het Menu van Firefox (3 liggende streepjes), bij Help (?), Over Firefox, of je de juiste 64-bit versie hebt!

We zijn verplicht van met explorer te werken waar java vereist is om spelletjes te spelen . Ik heb dit moeten doen .

Sinds kort is "browser-update.org" actief met het aansmeren van Google Chrome, Firefox, Opera en Edge. Het lijkt op een waarschuwing van de browser zelf, maar je loopt kans dat je met een andere browser eindigt dan degene waarin deze pop-up verschijnt onder de favorieten of menu balk. Op Chrome gebaseerde browsers worden vervangen door Google Chrome.

Als je toch nog plugins wilt gebruiken: installeer dan de ESR-versie van Firefox 52. Daarin blijven plugins werken en je krijgt tot medio 2018 beveiligingsupdates.

Dank! Ik was ook al op zoek gegaan en kwam op hetzelfde uit. Overigens geldt dit alleen voor de 32-bits versie.

De plugins die niet meer door Firefox worden ondersteund zijn tegenwoording niet meer nodig en zelfs onveilig. Websites zijn al over op html5.

Firefox version 52 will be the last complete update for Windows XP and Windows Vista. Security updates will be released, but no new features.

Ja en dan stopt Mozilla (voor mij plotseling) met de ondersteuning van diverse plug-ins, terwijl diverse sites nog frequent gebruik maken van deze plug-ins. Dan rest slechts de installatie van de ERS-versie van Firefox 52. Dit kan alleen als je informatie over dit item kunt vinden en dat praktisch kunt toepassen. Ik zie menigeen al hierover gefrustreerd raken.
Ziggo TV (bijvoorbeeld), werkt voor geen meter met deze nieuwe policy.
Weet de gemiddelde internetgebruiker dan waar het aan schort? Klantvriendelijk?
Het lijkt op het geklooi van onze politieke partijen, iedere ontwikkelaar heeft zijn eigen visie, de klant moet zich daar maar naar richten. Zelfs als hij daar steeds meer mee ingeperkt wordt en meestal zelf naar moeilijk te vinden oplossingen moet zoeken.

Geen geluid meer bij video's in de nieuwe Firefox. Opera 32-bit voor Linux geïnstalleerd en wat een heerlijke browser! Supersnel, vooral met de adblocker ingeschakeld.

Al weer wat minder enthousiast. Speelt geen video af bij npo.nl.

Als flash player voor opera installeert werk het waarschijnlijk wel

"Opera has no support for H.264/MPEG-4 encoded videos". Dit is wat ik gevonden heb bij google na het intikken van no video opera. Npo werkt niet met flashplayer maar hun eigen npo player. Ik heb het kunnen oplossen door Chromium te gebruiken. Desalniettemin bedankt voor het meedenken.

Bij mij speelt NPO wel af in Opera
Met Flashplayer

Vreemd. In Opera krijg ik niets anders dan de melding: Helaas kan de video niet worden afgespeeld met deze browser. In Chromium (zonder flashpayer) speelt de video (met geluid) af. En dat is dan de NOS player, powered by JW player. Laten we het probleem niet groter maken. Binnen 2 weken stap ik over naar Lubuntu 16.04 en dan direct de 64-bit versie. Kan ik Chrome weer installeren. Alle problemen opgelost.

Eureka!! Firefox 52 heeft pulseaudio nodig. Dit zit niet standaard in Lubuntu 14.04. "sudo apt-get update && sudo apt-get install pulseaudio" in de terminal is de toverformule. Firefox heeft weer geluid bij de video's.

Sommige websites hebben zo'n vertalingsbalk die niet te blokkeren is. In google chrome zet je aanbieden websites vertalen gewoon uit. Waarom kan dit in firefox niet? Al vanalles geprobeerd, taalpakketten, adblock plus, woordenboeken. Elke keer komt die rotbalk terug.

Je kan NPAPI-plugins (oa Silverlight) weer inschakelen in Fx 52 (wordt uitgeschakeld in Fx53)
about:config
Nieuw-->Boolean
naam = plugin.load_flash_only
waarde = false
Check je plugins, en Silverlight is terug

Reageren

Controlevraag tegen spam
zwitserl_nd